> ## Documentation Index
> Fetch the complete documentation index at: https://docs.seomator.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Add a keyword



## OpenAPI

````yaml https://api.seomator.com/openapi.json post /v1/projects/{id}/keywords
openapi: 3.1.0
info:
  title: SEOmator API
  version: 0.1.0
servers:
  - url: https://api.seomator.com
security: []
paths:
  /v1/projects/{id}/keywords:
    post:
      tags:
        - ai visibility
      summary: Add a keyword
      parameters:
        - schema:
            type: string
            description: Project id (proj_…) or slug (the domain with dots as dashes).
          required: true
          description: Project id (proj_…) or slug (the domain with dots as dashes).
          name: id
          in: path
      requestBody:
        required: true
        content:
          application/json:
            schema:
              type: object
              properties:
                text:
                  type: string
                  minLength: 1
                  maxLength: 200
              required:
                - text
      responses:
        '201':
          description: Created
          content:
            application/json:
              schema:
                type: object
                properties:
                  keyword:
                    type: object
                    properties:
                      id:
                        type: string
                      text:
                        type: string
                      source:
                        type: string
                        enum:
                          - gsc
                          - labs_ranked
                          - labs_gap
                          - labs_ideas
                          - user
                      volume:
                        type:
                          - integer
                          - 'null'
                      position:
                        type:
                          - integer
                          - 'null'
                      url:
                        type:
                          - string
                          - 'null'
                      clicks:
                        type:
                          - integer
                          - 'null'
                      topic:
                        type: string
                        enum:
                          - product
                          - adjacent
                          - 'off'
                      status:
                        type: string
                        enum:
                          - active
                          - archived
                      archivedAt:
                        type:
                          - string
                          - 'null'
                      createdAt:
                        type: string
                    required:
                      - id
                      - text
                      - source
                      - volume
                      - position
                      - url
                      - clicks
                      - topic
                      - status
                      - archivedAt
                      - createdAt
                    additionalProperties: {}
                required:
                  - keyword
        '400':
          description: Bad request
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/Error'
        '403':
          description: Forbidden
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/Error'
        '404':
          description: Not found
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/Error'
        '409':
          description: Conflict
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/Error'
      security:
        - apiKey: []
components:
  schemas:
    Error:
      type: object
      properties:
        error:
          type: object
          properties:
            code:
              type: string
              enum:
                - bad_request
                - unauthorized
                - insufficient_credits
                - plan_limit
                - forbidden
                - not_found
                - conflict
                - rate_limit_exceeded
                - internal_server_error
                - service_unavailable
            message:
              type: string
            requestId:
              type: string
          required:
            - code
            - message
      required:
        - error
  securitySchemes:
    apiKey:
      type: apiKey
      in: header
      name: x-api-key

````

## Related topics

- [Find keywords and more competitors](https://docs.seomator.com/api-reference/ai-visibility/find-keywords-and-more-competitors.md)
- [Remove a keyword](https://docs.seomator.com/api-reference/ai-visibility/remove-a-keyword.md)
- [Projects: set up, track and manage a site](https://docs.seomator.com/getting-started/projects.md)


This documentation is built and hosted on [Mintlify](https://mintlify.com), a developer documentation platform.